Get Backup Zone Logs
Get a paginated, filterable table of sync log entries for a zone linked to a critical backup job.
curl -X POST "https://api.5centscdn.com/v2/cb/42/zone/2102/logs" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/cb/42/zone/2102/logs"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/cb/42/zone/2102/logs", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/cb/42/zone/2102/logs", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/cb/42/zone/2102/logs')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"draw": 1,
"recordsTotal": 300,
"recordsFiltered": 12,
"data": [
{
"k": 1,
"date": 1717236000000,
"level": "FATAL",
"msg": "Failed to create file system: failed to configure storage provider - authentication token missing",
"log": "eyJtc2ciOiJTYW1wbGUgbG9nIG1lc3NhZ2UifQ==",
"DT_RowClass": null
}
]
}
POST
/cb/{backupid}/zone/{zoneid}/logsPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
backupidinteger
RequiredCritical Backup job ID
path
zoneidinteger
RequiredID of the CDN zone linked to the backup
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
datastring
RequiredRaw application/json data
Responses
drawinteger
Echoed draw counter from the request, used to match responses to requests.
recordsTotalinteger
Total number of log entries for this zone link.
recordsFilteredinteger
Number of log entries matching the current search/filter.
dataarray
Array of log entries.
Was this page helpful?